メインコンテンツへスキップ
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
insights
Get insights of devices for an organization
curl --request GET \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/insights \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/insights"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "key": "<string>",
    "count": 123
  }
]

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

クエリパラメータ

type
enum<string>
利用可能なオプション:
asset_number,
subtype,
model_name,
status,
serial_number,
model_number,
memory,
hdd_ssd,
cpu,
os,
size,
manufacturer,
supplier,
procurement_method,
purchase_date,
purchase_cost,
warranty_period,
decommission_date,
scheduled_return_date,
location_1,
location_2,
assignment_start_date,
assignment_end_date,
fixed_asset,
phone_number,
sim_number,
mobile_plan,
hostname,
version,
keyboard_layout,
usage_start_date,
usage_end_date,
last_activity_from_mdm
deviceTypes
enum<string>[]
利用可能なオプション:
pc,
phone,
other

レスポンス

key
string
必須
read-only
count
number
必須
read-only
最終更新日 2026年7月14日